package com.heyu.api.data.service.impl.order;

import com.heyu.api.data.entity.vv.VvTradeOrderLineEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.OrderStatusEnums;
import com.heyu.api.data.service.impl.AbstractOrderAction;

public class ToShippingAction extends AbstractOrderAction {
    @Override
    public ActionEnums getAction(VvTradeOrderLineEntity vvTradeOrderLineEntity, boolean isApp) {
        if (
                OrderStatusEnums.wait_shipping.getStatus().equals(vvTradeOrderLineEntity.getStatus())
        ) {
            return ActionEnums.Admin_To_Shipping;
        }


        return null;
    }
}
